{- $Id: AFrob.Diagnostics.hs,v 1.1 2002/08/03 01:00:25 henrik Exp $
******************************************************************************
*                          A F R O B / C O M M O N                           *
*                                                                            *
*       Module:         AFrob.Diagnostics				     *
*       Purpose:        Standardized error-reporting for AFrob		     *
*	Authors:	Henrik Nilsson					     *
*                                                                            *
******************************************************************************
-}

module AFrob.Diagnostics where

usrErr mn fn msg = error (mn ++ "." ++ fn ++ ": " ++ msg)

intErr mn fn msg = error ("[internal error] " ++ mn ++ "." ++ fn ++ ": "
                          ++ msg)
